Linked by Thom Holwerda on Thu 10th Jan 2013 01:41 UTC, submitted by lucas_maximus
Talk, Rumors, X Versus Y "A senior OpenBSD developer has complained on a mailing list that upstream vendors of free and open source software are adding in changes without any thought of whether downstream users could adapt to the change. Marc Espie said this would hurt smaller players by not allowing them to keep up with the changes. Basically what is happening is that numerous changes are being made to Linux and smaller projects like OpenBSD cannot keep up with the changes. And, according to Espie, not all these changes are strictly necessary."
Thread beginning with comment 548092
To view parent comment, click here.
To read all comments associated with this story, please click here.
lucas_maximus
Member since:
2009-08-18

GNU extensions were not created to make the system incompatible, they were created for convenience. And I don't see why it should be up to upstream to spend extra work on supporting other platform.


Except other platforms don't want to include GPL code in their OS.

Your attitude is exactly why there has always been cross platform problems ranging from browsers to now just building the browser itself.

It find that you don't do it in your own environments, but open source on larger projects is supposed to be about collaboration, and this sort of laziness makes it artificially difficult.

Edited 2013-01-10 08:51 UTC

Reply Parent Score: 4

kwan_e Member since:
2007-02-18

"GNU extensions were not created to make the system incompatible, they were created for convenience. And I don't see why it should be up to upstream to spend extra work on supporting other platform.


Except other platforms don't want to include GPL code in their OS.
"

They don't have to. They can reimplement those GNU extensions. GPL covers only copyright, not reimplementation.

And it's not really GPL's fault that some people are too ideological to include GPL programs.

Reply Parent Score: 5

Soulbender Member since:
2005-08-18

And it's not really GPL's fault that some people are too ideological to include GPL programs.


It's not <non-GPL compatible license>'s fault that some GPL folks are too ideological to include <licensed> programs.

Reply Parent Score: 4

Soulbender Member since:
2005-08-18

But why does GNU have to create their own grep and sed etc instead of just using the BSD ones? Could it be...ideologic reasons? ;)

Reply Parent Score: 3

lucas_maximus Member since:
2009-08-18

And it's not really GPL's fault that some people are too ideological to include GPL programs.


They were working their implementation to POSIX spec as it states in the article.

Reply Parent Score: 2